Modify

Opened 2 years ago

Closed 2 years ago

#13301 closed defect (fixed)

Make compatible with Trac 1.2

Reported by: Ryan J Ollos Owned by: Ryan J Ollos
Priority: normal Component: WikiFormsPlugin
Severity: normal Keywords:
Cc: ntmlod Trac Release:

Description

The plugin needs to be updated to use the new database API.

Attachments (0)

Change History (8)

comment:1 Changed 2 years ago by Ryan J Ollos

Owner: changed from asic_druide to Ryan J Ollos
Status: newaccepted

comment:2 Changed 2 years ago by Ryan J Ollos

Cc: ntmlod added

comment:3 Changed 2 years ago by Ryan J Ollos

In 16882:

TracWikiForms 1.0.0dev: Branch to support Trac >= 1.0

Uninstall the old plugin before installing from the 1.0
branch:

$ pip uninstall WikiForms
$ pip install svn+https://trac-hacks.org/svn/wikiformsplugin/1.0

Refs #13301.

comment:4 Changed 2 years ago by Ryan J Ollos

In 16883:

TracWikiForms 1.0.0dev: Use Trac 1.0+ database API

Refs #13301.

comment:5 Changed 2 years ago by Ryan J Ollos

In 16884:

TracWikiForms 1.0.0dev: Replace deprecated Context.from_request

Refs #13301.

comment:6 Changed 2 years ago by Ryan J Ollos

In 16885:

TracWikiForms 1.0.0dev: Remove import unused after r16884

Refs #13301.

comment:7 Changed 2 years ago by Ryan J Ollos

In 16886:

TracWikiForms 1.0.0dev: WIKIFORMS_ADMIN grants WIKIFORMS_VIEW

Refs #13301.

comment:8 Changed 2 years ago by Ryan J Ollos

Resolution: fixed
Status: acceptedclosed

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain Ryan J Ollos.
The resolution will be deleted. Next status will be 'reopened'.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.